Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.workbench
Class Workbench

public class Workbench
implements IPlatformRunnable

Method Summary
`static void` | `error(Category cat, String messageBundleKey, String[] params)`
`static void` | `error(Category cat, String messageBundleKey, String[] params, Throwable t)`
`static String` | `format(String key, Object[] args)` Returns the formatted message for the given key in the resource bundle.
`static Workbench` | `getInstance()`
`PerspectiveRegistry` | `getPerspectiveRegistry()`
`static String` | `getString(String key)` Returns the resource object with the given key in the resource bundle.
`ViewRegistry` | `getViewRegistry()`
`static void` | `log(Category cat, Priority priority, String messageBundleKey, String[] params, Throwable t)`
`Object` | `run(Object arg)` Runs the workbench.
`static void` | `warn(Category cat, String messageBundleKey, String[] params)`
`static void` | `warn(Category cat, String messageBundleKey, String[] params, Throwable t)`

Method Detail

### error

    public static void error(Category cat, String messageBundleKey, String[] params)

### error

    public static void error(Category cat, String messageBundleKey, String[] params, Throwable t)

### format

    public static String format(String key, Object[] args)

  Returns the formatted message for the given key in the resource bundle.
  Parameters:
    key - the resource name
    args - the message arguments
  Returns: the string

### getInstance

    public static Workbench getInstance()

### getPerspectiveRegistry

    public PerspectiveRegistry getPerspectiveRegistry()

### getString

    public static String getString(String key)

  Returns the resource object with the given key in the resource bundle. If there isn't any value under the given key, the key is returned.
  Parameters:
    key - the resource name
  Returns: the string

### getViewRegistry

    public ViewRegistry getViewRegistry()

### log

    public static void log(Category cat, Priority priority, String messageBundleKey, String[] params, Throwable t)

### run

    public Object run(Object arg)

  Runs the workbench.

### warn

    public static void warn(Category cat, String messageBundleKey, String[] params)

### warn

    public static void warn(Category cat, String messageBundleKey, String[] params, Throwable t)

Association Links

to Class javax.swing.JWindow

to Class org.apache.log4j.Category

to Class ru.biosoft.workbench.MessageBundle

to Class ru.biosoft.workbench.Workbench

to Class ru.biosoft.workbench.ViewRegistry

to Class ru.biosoft.workbench.PerspectiveRegistry

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM